<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title>5 flüsse join</title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	require "functions.php";
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'erstedatenbank' );


	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
		
	// die eigentliche Queries
	$sql = "set @var:=1;";
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . ws2html($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b>';

	$sql = "set @kont='';"; 
	$sql = "set @kont='' collate utf8_general_mysql500_ci ; "; 
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . ws2html($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b>';

	$sql = ""
		 
		 . "SELECT \n"
		 . "\tf1.kontinent \n"
		 . "\t,f2.Pos AS Pos \n"
		 . "\t,f1.name \n"
		 . "\t,f1.Abflussmenge \n"
		 . "FROM flussliste AS F1 \n"		 

		 . "INNER JOIN \n"
		 . "(\n"
		 . "\tSELECT \n"
		 . "\t\tkontinent, \n"
		 . "\t\t if ( @kont=kontinent , @var:=@var+1 , @var:=1 ) as Pos, \n"
		 . "\t\t(@kont:=kontinent), \n"
		 . "\t\tname, \n"
		 . "\t\tAbflussmenge \n"
		 . "\tFROM flussliste \n"
		 . "\tORDER BY Kontinent, Abflussmenge desc \n"
		 . ") AS F2 \n"
		 . "ON F1.kontinent = f2.kontinent AND  F1.name = f2.name AND F2.pos <= 5  \n"
		 		 		 		 
		 . "ORDER BY kontinent, pos   \n"
		 . "";
		 
		 
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();


?>

 </body>
</html>